# JSON Patch utils
### Helpers for client/server applications using JSON Patch [RFC 6902]

Useful functions for working with JSON Patches.

Currently does not include diff and apply.

## Install:

```bash
$ npm install --save-dev json-patch-utils
```

## [See documentation](http://marketsworld.github.io/json-patch-utils/docs/build/index.html)

## Usage:

Just import the functions you need:

```javascript
import { isPatch } from 'json-patch-utils'
// or
// var isPatch = require('json-patch-utils').isPatch

let patch = { op: 'add', path: '/foo/bar', value: 'baz' }

if (isPatch(patch)) {
  // apply the patch to your tree
} else {
  // patch does not conform to RFC 6902
}

```

## Credits
https://github.com/Starcounter-Jack/JSON-Patch - for the tests battery in test/tests.json and test/spec_tests.json

## Contributing:

Feel free to open issues to propose stuff and participate. Pull requests are also welcome.

## Licence:

[MIT](http://en.wikipedia.org/wiki/MIT_License)

